Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90	(revision 11872)
@@ -168,6 +168,6 @@
       ENDIF
       !                                              ! print mean trends (used for debugging)
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' adv  - Ta: ', mask1=tmask,               &
-         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' adv  - Ta: ', mask1=tmask,               &
+         &                                  tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop( 'tra_adv' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90	(revision 11872)
@@ -100,5 +100,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
       IF( ln_timing )   CALL timing_stop('tra_bbc')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90	(revision 11872)
@@ -119,5 +119,5 @@
          !
          CALL tra_bbl_dif( tsb, tsa, jpts )
-         IF( ln_ctl .OR. sn_cfctl%l_mppout )  &
+         IF( sn_cfctl%l_prtctl )  &
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbl_ldf  - Ta: ', mask1=tmask, &
             &          tab3d_2=tsa(:,:,:,jp_sal), clinfo2=           ' Sa: ', mask2=tmask, clinfo3='tra' )
@@ -132,5 +132,5 @@
          !
          CALL tra_bbl_adv( tsb, tsa, jpts )
-         IF(ln_ctl .OR. sn_cfctl%l_mppout)   &
+         IF(sn_cfctl%l_prtctl)   &
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbl_adv  - Ta: ', mask1=tmask,   &
             &          tab3d_2=tsa(:,:,:,jp_sal), clinfo2=           ' Sa: ', mask2=tmask, clinfo3='tra' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90	(revision 11872)
@@ -156,6 +156,6 @@
       ENDIF
       !                           ! Control print
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
-         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
+         &                                  tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_dmp')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90	(revision 11872)
@@ -85,6 +85,6 @@
       ENDIF
       !                                        !* print mean trends (used for debugging)
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' ldf  - Ta: ', mask1=tmask,               &
-         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' ldf  - Ta: ', mask1=tmask,               &
+         &                                  tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_ldf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90	(revision 11872)
@@ -181,6 +181,6 @@
       !
       !                        ! control print
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' nxt  - Tn: ', mask1=tmask,   &
-         &                                              tab3d_2=tsn(:,:,:,jp_sal), clinfo2=       ' Sn: ', mask2=tmask )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' nxt  - Tn: ', mask1=tmask,   &
+         &                                  tab3d_2=tsn(:,:,:,jp_sal), clinfo2=       ' Sn: ', mask2=tmask )
       !
       IF( ln_timing )   CALL timing_stop('tra_nxt')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90	(revision 11872)
@@ -300,5 +300,5 @@
       ENDIF
       !                       ! print mean trends (used for debugging)
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
       IF( ln_timing )   CALL timing_stop('tra_qsr')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90	(revision 11872)
@@ -266,6 +266,6 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' sbc  - Ta: ', mask1=tmask,   &
-         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' sbc  - Ta: ', mask1=tmask,   &
+         &                                  tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_sbc')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90	(revision 11872)
@@ -99,6 +99,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
-         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
+         &                                  tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_zdf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90	(revision 11872)
@@ -371,5 +371,5 @@
          hmxlbn(:,:) = hmxl(:,:)
 
-         IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN
+         IF( sn_cfctl%l_prtctl ) THEN
             WRITE(numout,*) '             we reach kt == nit000 + 1 = ', nit000+1
             CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask)
@@ -380,5 +380,5 @@
       END IF
 
-      IF( ( ln_rstart ) .AND. ( kt == nit000 ) .AND. ( ln_ctl .OR.  sn_cfctl%l_mppout ) ) THEN
+      IF( ( ln_rstart ) .AND. ( kt == nit000 ) .AND. sn_cfctl%l_prtctl ) THEN
          IF( ln_trdmxl_instant ) THEN
             WRITE(numout,*) '             restart from kt == nit000 = ', nit000
@@ -548,5 +548,5 @@
          hmxlbn         (:,:)   = hmxl    (:,:)
          
-         IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN
+         IF( sn_cfctl%l_prtctl ) THEN
             IF( ln_trdmxl_instant ) THEN
                CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90	(revision 11872)
@@ -163,5 +163,5 @@
       !                                                   ! ===============
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
+      IF(sn_cfctl%l_prtctl) THEN
          CALL prt_ctl(tab3d_1=avt , clinfo1=' ddm  - t: ', tab3d_2=avs , clinfo2=' s: ', kdim=jpk)
       ENDIF
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90	(revision 11872)
@@ -139,5 +139,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=pCdU, clinfo1=' Cd*U ')
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab2d_1=pCdU, clinfo1=' Cd*U ')
       !
    END SUBROUTINE zdf_drg
@@ -213,6 +213,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=pua, clinfo1=' bfr  - Ua: ', mask1=umask,               &
-         &                                              tab3d_2=pva, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab3d_1=pua, clinfo1=' bfr  - Ua: ', mask1=umask,               &
+         &                                  tab3d_2=pva, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE zdf_drg_exp
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90	(revision 11872)
@@ -824,5 +824,5 @@
       p_avt(:,:,1) = 0._wp
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
+      IF(sn_cfctl%l_prtctl) THEN
          CALL prt_ctl( tab3d_1=en   , clinfo1=' gls  - e: ', tab3d_2=p_avt, clinfo2=' t: ', kdim=jpk)
          CALL prt_ctl( tab3d_1=p_avm, clinfo1=' gls  - m: ', kdim=jpk )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90	(revision 11872)
@@ -383,5 +383,5 @@
       CALL iom_put( "emix_iwm", zemx_iwm )
       
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
       !
    END SUBROUTINE zdf_iwm
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90	(revision 11872)
@@ -137,5 +137,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ' )
+      IF(sn_cfctl%l_prtctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ' )
       !
    END SUBROUTINE zdf_mxl
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90	(revision 11872)
@@ -1659,5 +1659,5 @@
       ENDIF
 
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
+      IF(sn_cfctl%l_prtctl) THEN
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' osm  - Ta: ', mask1=tmask,   &
          &             tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90	(revision 11872)
@@ -623,5 +623,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
+      IF(sn_cfctl%l_prtctl) THEN
          CALL prt_ctl( tab3d_1=en   , clinfo1=' tke  - e: ', tab3d_2=p_avt, clinfo2=' t: ', kdim=jpk)
          CALL prt_ctl( tab3d_1=p_avm, clinfo1=' tke  - m: ', kdim=jpk )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90	(revision 11872)
@@ -263,5 +263,5 @@
       INTEGER ::   ios, ilocal_comm   ! local integers
       !!
-      NAMELIST/namctl/ ln_ctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ sn_cfctl,  nn_print, nn_ictls, nn_ictle,             &
          &             nn_isplt , nn_jsplt, nn_jctls, nn_jctle,             &
          &             ln_timing, ln_diacfl
@@ -314,5 +314,5 @@
       !
       !                             !--------------------!
-      !                             ! Open listing units !  -> need ln_ctl from namctl to define lwp
+      !                             ! Open listing units !  -> need sn_cfctl from namctl to define lwp
       !                             !--------------------!
       !
@@ -325,5 +325,10 @@
       !
       ! finalize the definition of namctl variables
-      IF( sn_cfctl%l_config ) THEN
+      IF( sn_cfctl%l_allon ) THEN
+         ! Turn on all options.
+         CALL nemo_set_cfctl( sn_cfctl, .TRUE., .TRUE. )
+         ! Ensure all processors are active
+         sn_cfctl%procmin = 0 ; sn_cfctl%procmax = 1000000 ; sn_cfctl%procincr = 1
+      ELSEIF( sn_cfctl%l_config ) THEN
          ! Activate finer control of report outputs
          ! optionally switch off output from selected areas (note this only
@@ -333,9 +338,9 @@
            &   CALL nemo_set_cfctl( sn_cfctl, .FALSE., .FALSE. )
       ELSE
-         ! Use ln_ctl to turn on or off all options.
-         CALL nemo_set_cfctl( sn_cfctl, ln_ctl, .TRUE. )
-      ENDIF
-      !
-      lwp = (narea == 1) .OR. ln_ctl .OR. sn_cfctl%l_oceout    ! control of all listing output print
+         ! turn off all options.
+         CALL nemo_set_cfctl( sn_cfctl, .FALSE., .TRUE. )
+      ENDIF
+      !
+      lwp = (narea == 1) .OR. sn_cfctl%l_oceout    ! control of all listing output print
       !
       IF(lwp) THEN                      ! open listing units
@@ -414,22 +419,22 @@
                            CALL     dom_init("OPA") ! Domain
       IF( ln_crs       )   CALL     crs_init        ! coarsened grid: domain initialization 
-      IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
+      IF( sn_cfctl%l_prtctl )   &
          &                 CALL prt_ctl_init        ! Print control
       
-      CALL diurnal_sst_bulk_init                ! diurnal sst
+                           CALL diurnal_sst_bulk_init       ! diurnal sst
       IF( ln_diurnal   )   CALL diurnal_sst_coolskin_init   ! cool skin   
       !                            
-      IF( ln_diurnal_only ) THEN                   ! diurnal only: a subset of the initialisation routines
-         CALL  istate_init                            ! ocean initial state (Dynamics and tracers)
-         CALL     sbc_init                            ! Forcings : surface module
-         CALL tra_qsr_init                            ! penetrative solar radiation qsr
-         IF( ln_diaobs ) THEN                         ! Observation & model comparison
-            CALL dia_obs_init                            ! Initialize observational data
-            CALL dia_obs( nit000 - 1 )                   ! Observation operator for restart
-         ENDIF     
-         IF( lk_asminc )   CALL asm_inc_init          ! Assimilation increments
-         !
-         RETURN                                       ! end of initialization
-      ENDIF
+                           IF( ln_diurnal_only ) THEN                    ! diurnal only: a subset of the initialisation routines
+                              CALL  istate_init                          ! ocean initial state (Dynamics and tracers)
+                              CALL     sbc_init                          ! Forcings : surface module
+                              CALL tra_qsr_init                          ! penetrative solar radiation qsr
+                              IF( ln_diaobs ) THEN                       ! Observation & model comparison
+                                 CALL dia_obs_init                       ! Initialize observational data
+                                 CALL dia_obs( nit000 - 1 )              ! Observation operator for restart
+                              ENDIF     
+                              IF( lk_asminc )   CALL asm_inc_init        ! Assimilation increments
+                              !
+                              RETURN                                     ! end of diurnal_only initialization
+                           ENDIF
       
                            CALL  istate_init    ! ocean initial state (Dynamics and tracers)
@@ -514,5 +519,6 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '                              sn_cfctl%l_glochk  = ', sn_cfctl%l_glochk
+         WRITE(numout,*) '                              sn_cfctl%l_allon   = ', sn_cfctl%l_allon
          WRITE(numout,*) '       finer control over o/p sn_cfctl%l_config  = ', sn_cfctl%l_config
          WRITE(numout,*) '                              sn_cfctl%l_runstat = ', sn_cfctl%l_runstat
@@ -520,6 +526,7 @@
          WRITE(numout,*) '                              sn_cfctl%l_oceout  = ', sn_cfctl%l_oceout
          WRITE(numout,*) '                              sn_cfctl%l_layout  = ', sn_cfctl%l_layout
-         WRITE(numout,*) '                              sn_cfctl%l_mppout  = ', sn_cfctl%l_mppout
-         WRITE(numout,*) '                              sn_cfctl%l_mpptop  = ', sn_cfctl%l_mpptop
+         WRITE(numout,*) '                              sn_cfctl%l_prtctl  = ', sn_cfctl%l_prtctl
+         WRITE(numout,*) '                              sn_cfctl%l_prttrc  = ', sn_cfctl%l_prttrc
+         WRITE(numout,*) '                              sn_cfctl%l_oasout  = ', sn_cfctl%l_oasout
          WRITE(numout,*) '                              sn_cfctl%procmin   = ', sn_cfctl%procmin  
          WRITE(numout,*) '                              sn_cfctl%procmax   = ', sn_cfctl%procmax  
@@ -559,5 +566,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl .OR. sn_cfctl%l_mppout .OR. sn_cfctl%l_mpptop ) THEN  ! sub-domain area indices for the control prints
+      IF( sn_cfctl%l_prtctl .OR. sn_cfctl%l_prttrc ) THEN              ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -689,6 +696,6 @@
       sn_cfctl%l_oceout  = setto
       sn_cfctl%l_layout  = setto
-      sn_cfctl%l_mppout  = setto
-      sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_prtctl  = setto
+      sn_cfctl%l_prttrc  = setto
       sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/stpctl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/stpctl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/stpctl.F90	(revision 11872)
@@ -72,5 +72,5 @@
       !
       ll_wrtstp  = ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend )
-      ll_colruns = ll_wrtstp .AND. ( ln_ctl .OR. sn_cfctl%l_runstat )
+      ll_colruns = ll_wrtstp .AND. ( sn_cfctl%l_runstat )
       ll_wrtruns = ll_colruns .AND. lwm
       IF( kt == nit000 .AND. lwp ) THEN
@@ -82,5 +82,5 @@
          !                                ! open run.stat file(s) at start whatever
          !                                ! the value of sn_cfctl%ptimincr
-         IF( lwm .AND. ( ln_ctl .OR. sn_cfctl%l_runstat ) ) THEN
+         IF( lwm .AND. ( sn_cfctl%l_runstat ) ) THEN
             CALL ctl_opn( numrun, 'run.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
             clname = 'run.stat.nc'
@@ -147,5 +147,5 @@
       END IF
       !                                   !==  error handling  ==!
-      IF( ( ln_ctl .OR. lsomeoce ) .AND. (   &             ! have use mpp_max (because ln_ctl=.T.) or contains some ocean points
+      IF( ( sn_cfctl%l_glochk .OR. lsomeoce ) .AND. (   &  ! domain contains some ocean points, check for sensible ranges
          &  zmax(1) >   20._wp .OR.   &                    ! too large sea surface height ( > 20 m )
          &  zmax(2) >   10._wp .OR.   &                    ! too large velocity ( > 10 m/s)
@@ -154,5 +154,6 @@
          &  zmax(4) <    0._wp .OR.   &                    ! too large sea surface salinity (keep this line for sea-ice)
          &  ISNAN( zmax(1) + zmax(2) + zmax(3) ) ) ) THEN   ! NaN encounter in the tests
-         IF( lk_mpp .AND. ln_ctl ) THEN
+         IF( lk_mpp .AND. sn_cfctl%l_glochk ) THEN
+            ! have use mpp_max (because sn_cfctl%l_glochk=.T. and distributed)
             CALL mpp_maxloc( 'stpctl', ABS(sshn)        , ssmask(:,:)  , zzz, ih  )
             CALL mpp_maxloc( 'stpctl', ABS(un)          , umask (:,:,:), zzz, iu  )
@@ -160,4 +161,5 @@
             CALL mpp_maxloc( 'stpctl', tsn(:,:,:,jp_sal), tmask (:,:,:), zzz, is2 )
          ELSE
+            ! find local min and max locations
             ih(:)  = MAXLOC( ABS( sshn(:,:)   )                              ) + (/ nimpp - 1, njmpp - 1    /)
             iu(:)  = MAXLOC( ABS( un  (:,:,:) )                              ) + (/ nimpp - 1, njmpp - 1, 0 /)
@@ -175,5 +177,5 @@
          CALL dia_wri_state( 'output.abort' )     ! create an output.abort file
          
-         IF( .NOT. ln_ctl ) THEN
+         IF( .NOT. sn_cfctl%l_glochk ) THEN
             WRITE(ctmp8,*) 'E R R O R message from sub-domain: ', narea
             CALL ctl_stop( 'STOP', ctmp1, ' ', ctmp8, ' ', ctmp2, ctmp3, ctmp4, ctmp5, ctmp6 )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90	(revision 11872)
@@ -176,5 +176,5 @@
       CALL eos( tsn, rhd, rhop, gdept_0(:,:,:) ) ! In any case, we need rhop
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN     ! print control
+      IF(sn_cfctl%l_prtctl) THEN                 ! print control
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' tn      - : ', mask1=tmask,  kdim=jpk   )
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_sal), clinfo1=' sn      - : ', mask1=tmask,  kdim=jpk   )
@@ -444,5 +444,5 @@
       CALL eos    ( tsn, rhd, rhop, gdept_0(:,:,:) ) ! In any case, we need rhop
 
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN                  ! print control
+      IF(sn_cfctl%l_prtctl) THEN                     ! print control
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' tn      - : ', mask1=tmask,  kdim=jpk   )
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_sal), clinfo1=' sn      - : ', mask1=tmask,  kdim=jpk   )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90	(revision 11872)
@@ -162,5 +162,5 @@
       INTEGER ::   ios, ilocal_comm   ! local integers
       !!
-      NAMELIST/namctl/ ln_ctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ sn_cfctl, nn_print, nn_ictls, nn_ictle,              &
          &             nn_isplt , nn_jsplt, nn_jctls, nn_jctle,             &
          &             ln_timing, ln_diacfl
@@ -199,5 +199,5 @@
       !
       !                             !--------------------!
-      !                             ! Open listing units !  -> need ln_ctl from namctl to define lwp
+      !                             ! Open listing units !  -> need sn_cfctl from namctl to define lwp
       !                             !--------------------!
       !
@@ -210,5 +210,10 @@
       !
       ! finalize the definition of namctl variables
-      IF( sn_cfctl%l_config ) THEN
+      IF( sn_cfctl%l_allon ) THEN
+         ! Turn on all options.
+         CALL nemo_set_cfctl( sn_cfctl, .TRUE., .TRUE. )
+         ! Ensure all processors are active
+         sn_cfctl%procmin = 0 ; sn_cfctl%procmax = 1000000 ; sn_cfctl%procincr = 1
+      ELSEIF( sn_cfctl%l_config ) THEN
          ! Activate finer control of report outputs
          ! optionally switch off output from selected areas (note this only
@@ -218,9 +223,9 @@
            &   CALL nemo_set_cfctl( sn_cfctl, .FALSE., .FALSE. )
       ELSE
-         ! Use ln_ctl to turn on or off all options.
-         CALL nemo_set_cfctl( sn_cfctl, ln_ctl, .TRUE. )
-      ENDIF
-      !
-      lwp = (narea == 1) .OR. ln_ctl .OR. sn_cfctl%l_oceout    ! control of all listing output print
+         ! turn off all options.
+         CALL nemo_set_cfctl( sn_cfctl, .FALSE., .TRUE. )
+      ENDIF
+      !
+      lwp = (narea == 1) .OR. sn_cfctl%l_oceout    ! control of all listing output print
       !
       IF(lwp) THEN                            ! open listing units
@@ -299,5 +304,5 @@
       IF( lk_c1d       )   CALL     c1d_init        ! 1D column configuration
                            CALL     dom_init("OPA") ! Domain
-      IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
+      IF( sn_cfctl%l_prtctl )   &
          &                 CALL prt_ctl_init        ! Print control
 
@@ -339,5 +344,5 @@
       !! ** Purpose :   control print setting
       !!
-      !! ** Method  : - print namctl information and check some consistencies
+      !! ** Method  : - print namctl and namcfg information and check some consistencies
       !!----------------------------------------------------------------------
       !
@@ -347,5 +352,6 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '                              sn_cfctl%l_glochk  = ', sn_cfctl%l_glochk
+         WRITE(numout,*) '                              sn_cfctl%l_allon   = ', sn_cfctl%l_allon
          WRITE(numout,*) '       finer control over o/p sn_cfctl%l_config  = ', sn_cfctl%l_config
          WRITE(numout,*) '                              sn_cfctl%l_runstat = ', sn_cfctl%l_runstat
@@ -353,6 +359,7 @@
          WRITE(numout,*) '                              sn_cfctl%l_oceout  = ', sn_cfctl%l_oceout
          WRITE(numout,*) '                              sn_cfctl%l_layout  = ', sn_cfctl%l_layout
-         WRITE(numout,*) '                              sn_cfctl%l_mppout  = ', sn_cfctl%l_mppout
-         WRITE(numout,*) '                              sn_cfctl%l_mpptop  = ', sn_cfctl%l_mpptop
+         WRITE(numout,*) '                              sn_cfctl%l_prtctl  = ', sn_cfctl%l_prtctl
+         WRITE(numout,*) '                              sn_cfctl%l_prttrc  = ', sn_cfctl%l_prttrc
+         WRITE(numout,*) '                              sn_cfctl%l_oasout  = ', sn_cfctl%l_oasout
          WRITE(numout,*) '                              sn_cfctl%procmin   = ', sn_cfctl%procmin  
          WRITE(numout,*) '                              sn_cfctl%procmax   = ', sn_cfctl%procmax  
@@ -392,5 +399,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                         ! sub-domain area indices for the control prints
+      IF( sn_cfctl%l_prtctl .OR. sn_cfctl%l_prttrc ) THEN              ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -507,6 +514,6 @@
       sn_cfctl%l_oceout  = setto
       sn_cfctl%l_layout  = setto
-      sn_cfctl%l_mppout  = setto
-      sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_prtctl  = setto
+      sn_cfctl%l_prttrc  = setto
       sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
